Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.orm.jpa.vendor
Enum Database

    java.lang.Object
      java.lang.Enum<Database>
          org.springframework.orm.jpa.vendor.Database

All Implemented Interfaces:
  Serializable, Comparable<Database>

    public enum Database

extends Enum<Database>

Enumeration for common database platforms. Allows strong typing of database type and portable configuration between JpaVendorDialect implementations.

If a given PersistenceProvider supports a database not listed here, the strategy class can still be specified using the fully-qualified class name. This enumeration is merely a convenience. The database products listed here are the same as those explicitly supported for Spring JDBC exception translation in `sql-error-codes.xml`.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `AbstractJpaVendorAdapter.setDatabase(org.springframework.orm.jpa.vendor.Database)`

Enum Constant Summary
`DB2`
`DEFAULT`
`DERBY`
`H2`
`HSQL`
`INFORMIX`
`MYSQL`
`ORACLE`
`POSTGRESQL`
`SQL_SERVER`
`SYBASE`

Method Summary
`static Database` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Database[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final Database DEFAULT

### DB2

    public static final Database DB2

### DERBY

    public static final Database DERBY

### H2

    public static final Database H2

### HSQL

    public static final Database HSQL

### INFORMIX

    public static final Database INFORMIX

### MYSQL

    public static final Database MYSQL

### ORACLE

    public static final Database ORACLE

### POSTGRESQL

    public static final Database POSTGRESQL

### SQL_SERVER

    public static final Database SQL_SERVER

### SYBASE

    public static final Database SYBASE

Method Detail

### values

    public static Database[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Database c : Database.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Database valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2008 The Spring Framework.